active
checked
default
disabled
empty
enabled
first
first-child
first-of-type
focus
hover
indeterminate
in-range
invalid
lang
last-child
last-of-type
left
link
not
nth-child
nth-last-child
nth-last-of-type
nth-of-type
only-child
only-of-type
optional
out-of-range
read-only
read-write
required
right
root
target
valid
visited
